            #GIT_CMT=44504499ee201bf9bbadbbb55ed21d6998035229
%global debug_package %{nil}

#
# Example ARCHIVE Generation:
# export COMMIT=b6e48ec6
# export VERSION=1.1
# export RELEASE=1.el7
# rpmdev-setuptree
# git-archive-all --prefix edk2-${VERSION}/ ~/rpmbuild/SOURCES/edk2-${VERSION}-${RELEASE}.tar.gz
#
# Copy over patches/files:
# cp buildrpm/ol7/* ~/rpmbuild/SOURCES
#
# Build the RPMs:
# rpmbuild -ba buildrpm/ol7/edk2.spec
#
Name:		edk2
Version:	1.5.0
Release:    2.el7
Epoch:		1
Summary:	UEFI Firmware for 64-bit virtual machines

Group:		Applications/Emulators
License:	BSD and OpenSSL
URL:		http://www.tianocore.org
Source0: edk2-1.5.0.tar.bz2
Source3:	OpenSSL-1.1.1j-52c587d60be67c337364b830dd3fdc15404a2f04.tgz
Source4:	BaseTools-BrotliCompress-666c3280cc11dc433c303d79a83d4ffbdd12cc8d.tgz
Source5:	MdeModulePkg-BrotliCustomDecompressLib-666c3280cc11dc433c303d79a83d4ffbdd12cc8d.tgz

Patch4:		0001-MdeModulePkg-TerminalDxe-add-other-text-resolutions.patch
Patch5:		0002-EXCLUDE_SHELL_FROM_FD.patch

#Patch10:	0001-OvmfPkg-SmbiosPlatformDxe-install-legacy-QEMU-tables.patch
#Patch11:	0002-OvmfPkg-SmbiosPlatformDxe-install-patch-default-lega.patch
#Patch12:	0003-OvmfPkg-SmbiosPlatformDxe-install-patch-default-lega.patch
Patch13:	0004-OvmfPkg-SmbiosPlatformDxe-install-legacy-QEMU-tables.patch

Patch30:	0001-tools_def.template-take-GCC4-_-IA32-X64-prefixes-fro.patch
Patch31:	0002-tools_def.template-Take-parfait-prefix-from-the-envi.patch

Patch40:	0001-MdeModulePkg-silence-image-start-error.patch
Patch50:	0002-OvmfPkgX64-DSC-Updates.patch
Patch51:	0001-ArmVirtPkg-DSC-Updates.patch
Patch60:	0002-Smbios-ovmf-version-update.patch
Patch70:	0001-Bug31156337-Connect-MassStorage-WAR.patch
Patch80:	0001-Silence-BootOption-Load-Errors.patch
# Patch90:	0001-GenericQemuLoadImageLib-Compile-error1.patch
Patch91:	0001-HttpDynamicCommand-Compile-error1.patch
Patch92:	0001-MdeModulePkg-AhciMode-Compile-error1.patch
Patch93:	0001-UefiShellCommandLib-Compile-error1.patch
Patch94:	0001-OvmfPkg-VirtioFsDxe-Compile-error1.patch
Patch95:	0001-MdeModulePkg-PciBusDxe-Compile-error1.patch
Patch96:	0001-MdePkg-BaseLib-GccInlinePriv-Compile-error1.patch
Patch105:	0001-ArmPlatformPkg-NorFlashDxe-Allow_Readonly.patch
Patch110:	0001-SecurityPkg-Disable-Secureboot-User-Config.patch
Patch111:	0001-Disable-Tcg2-MeasureCPUs-x86_64.patch
Patch112:	0001-Disable-Tcg2-MeasureCPUs-aarch64.patch
Patch120:	0001-SecureBoot-Logging1.patch
Patch130:	0001-Bug33117114-SevResetLoop-WAR.patch

%bcond_with parfait

BuildRequires:	mtools
BuildRequires:	dosfstools
BuildRequires:	iasl
BuildRequires:	python
BuildRequires:	libuuid-devel
BuildRequires:	git
%ifarch x86_64
BuildRequires:	nasm
%endif

%description
EFI Development Kit II

%package tools
Summary:	EFI Development Kit II Tools
%description tools
EFI Development Kit II Tools


%ifarch x86_64
%global subpkgname OVMF

%package -n OVMF 
Summary:	UEFI Firmware for 64-bit virtual machines
License:	BSD and OpenSSL
BuildArch:      noarch

%description -n OVMF
UEFI Firmware for 64-bit virtual machines
%endif


%ifarch aarch64
%global subpkgname AAVMF

%package -n AAVMF 
Summary:	UEFI Firmware for aarch64 virtual machines
License:	BSD
BuildArch:      noarch

%description -n AAVMF 
UEFI Firmware for aarch64 virtual machines
%endif

%prep
%setup -q -n %{name}-%{version}

%patch4 -p1
%patch5 -p1
#%patch10 -p1
#%patch11 -p1
#%patch12 -p1
%patch13 -p1
%patch30 -p1

%if 0%{?with_parfait}
%patch31 -p1
%endif

%patch40 -p1
%patch50 -p1
%patch51 -p1
%patch60 -p1
%patch70 -p1
%patch80 -p1
# %patch90 -p1
%patch91 -p1
%patch92 -p1
%patch93 -p1
%patch94 -p1
%patch95 -p1
%patch96 -p1
%patch105 -p1
%patch110 -p1
%ifarch x86_64
%patch111 -p1
%endif
%ifarch aarch64
%patch112 -p1
%endif
%patch120 -p1
%patch130 -p1

cp -a -- %{SOURCE3} .
cp -a -- %{SOURCE4} .
cp -a -- %{SOURCE5} .

tar xfz OpenSSL-1.1.1j-52c587d60be67c337364b830dd3fdc15404a2f04.tgz -C CryptoPkg/Library/OpensslLib/
tar xfz BaseTools-BrotliCompress-666c3280cc11dc433c303d79a83d4ffbdd12cc8d.tgz -C BaseTools/Source/C/BrotliCompress
tar xfz MdeModulePkg-BrotliCustomDecompressLib-666c3280cc11dc433c303d79a83d4ffbdd12cc8d.tgz -C MdeModulePkg/Library/BrotliCustomDecompressLib

%build

# Build ovmf-vars-mgr utility first (as it is used for OVMF/AAVMF build)
cd Oracle/OvmfVarsMgr/
%ifarch x86_64
make ARCH=x86_64
%endif
%ifarch aarch64
make ARCH=arm64
%endif
cd ../..

source ./edksetup.sh

# figure tools switch
GCCVER=$(gcc --version | awk '{ print $3; exit}')
case "$GCCVER" in
4.4*)	CC_FLAGS="-t GCC44";;
4.5*)	CC_FLAGS="-t GCC45";;
4.6*)	CC_FLAGS="-t GCC46";;
4.7*)	CC_FLAGS="-t GCC47";;
4.8*)	CC_FLAGS="-t GCC48";;
4.9*)	CC_FLAGS="-t GCC49";;
5.*)	CC_FLAGS="-t GCC5";;
6.*)	CC_FLAGS="-t GCC5";;
7.*)	CC_FLAGS="-t GCC5";;
8.*)	CC_FLAGS="-t GCC5";;
9.*)	CC_FLAGS="-t GCC5";;
1?.*)	CC_FLAGS="-t GCC5";;
esac

# parallel builds
SMP_MFLAGS="%{?_smp_mflags}"
if [[ x"$SMP_MFLAGS" = x-j* ]]; then
	CC_FLAGS="$CC_FLAGS -n ${SMP_MFLAGS#-j}"
elif [ -n "%{?jobs}" ]; then
	CC_FLAGS="$CC_FLAGS -n %{?jobs}"
fi

%if 0%{?with_parfait}
# For running Parfait static analysis at the pre-build stage
export BUILD_CC=parfait-gcc
export BUILD_CXX=parfait-g++
export BUILD_AS=parfait-gcc
export BUILD_AR=parfait-ar
export BUILD_LD=parfait-ld
export LINKER=${BUILD_CC}
# For running Parfait static analysis on modules.
export PARFAIT_PREFIX=parfait-
%endif # with parfait

# prepare
make -C BaseTools

%ifarch x86_64
# build OVMF
for cfg in pure-efi pure-efi-debug secboot secboot-debug; do
	OVMF_FLAGS="$CC_FLAGS -D HTTP_BOOT_ENABLE -D FD_SIZE_4MB"

	case "$cfg" in
	pure-efi)
		OVMF_FLAGS="$OVMF_FLAGS -D TPM_ENABLE"
		# nothing
		;;
	pure-efi-debug)
		OVMF_FLAGS="$OVMF_FLAGS -D DEBUG_LOG_ENABLE"
		OVMF_FLAGS="$OVMF_FLAGS -D TPM_ENABLE"
		;;
	secboot)
		OVMF_FLAGS="$OVMF_FLAGS -D SECURE_BOOT_ENABLE"
		OVMF_FLAGS="$OVMF_FLAGS -D SMM_REQUIRE"
		OVMF_FLAGS="$OVMF_FLAGS -D TPM_ENABLE"
		OVMF_FLAGS="$OVMF_FLAGS -D EXCLUDE_SHELL_FROM_FD"
		;;
	secboot-debug)
		OVMF_FLAGS="$OVMF_FLAGS -D DEBUG_LOG_ENABLE"
		OVMF_FLAGS="$OVMF_FLAGS -D SECURE_BOOT_ENABLE"
		OVMF_FLAGS="$OVMF_FLAGS -D SMM_REQUIRE"
		OVMF_FLAGS="$OVMF_FLAGS -D TPM_ENABLE"
		OVMF_FLAGS="$OVMF_FLAGS -D EXCLUDE_SHELL_FROM_FD"
		;;
	esac

	build $OVMF_FLAGS -a X64 -p OvmfPkg/OvmfPkgX64.dsc
	mkdir -p "OVMF"
	cp Build/OvmfX64/DEBUG_*/FV/OVMF_CODE.fd OVMF/OVMF_CODE.${cfg}.fd
	cp Build/OvmfX64/DEBUG_*/FV/OVMF_VARS.fd OVMF/OVMF_VARS.${cfg}.fd
	if [ "$cfg" = secboot ] || [ "$cfg" = secboot-debug ] ; then
		# Enroll the Secureboot vars into the variable store template
		Oracle/OvmfVarsMgr/ovmf-vars-mgr --var PK --write --vars-file OVMF/OVMF_VARS.${cfg}.fd < Oracle/SB/x86_64/PK.bin
		Oracle/OvmfVarsMgr/ovmf-vars-mgr --var KEK --write --vars-file OVMF/OVMF_VARS.${cfg}.fd < Oracle/SB/x86_64/KEK.bin
		Oracle/OvmfVarsMgr/ovmf-vars-mgr --var db --write --vars-file OVMF/OVMF_VARS.${cfg}.fd < Oracle/SB/x86_64/db.bin
		Oracle/OvmfVarsMgr/ovmf-vars-mgr --var dbx --write --vars-file OVMF/OVMF_VARS.${cfg}.fd < Oracle/SB/x86_64/dbxupdate_x64-10-2020.bin
	fi

  %if 0%{?with_parfait}
  mv Build/OvmfX64 Build/OvmfX64-${cfg}
  %else
	rm -rf Build/OvmfX64
  %endif

done
%endif

%ifarch aarch64
# build AAVMF
for cfg in pure-efi pure-efi-debug secboot secboot-debug; do
	AAVMF_FLAGS="$CC_FLAGS -D HTTP_BOOT_ENABLE "

	case "$cfg" in
	pure-efi)
		AAVMF_FLAGS="$AAVMF_FLAGS -D DEBUG_PRINT_ERROR_LEVEL=0x80000000"
		AAVMF_FLAGS="$AAVMF_FLAGS -D TPM2_ENABLE"
		;;
	pure-efi-debug)
		AAVMF_FLAGS="$AAVMF_FLAGS -D DEBUG_PRINT_ERROR_LEVEL=0x8040004F"
		AAVMF_FLAGS="$AAVMF_FLAGS -D TPM2_ENABLE"
		;;
	secboot)
		AAVMF_FLAGS="$AAVMF_FLAGS -D DEBUG_PRINT_ERROR_LEVEL=0x80000000"
		AAVMF_FLAGS="$AAVMF_FLAGS -D SECURE_BOOT_ENABLE"
		AAVMF_FLAGS="$AAVMF_FLAGS -D TPM2_ENABLE"
		AAVMF_FLAGS="$AAVMF_FLAGS -D EXCLUDE_SHELL_FROM_FD"
		;;
	secboot-debug)
		AAVMF_FLAGS="$AAVMF_FLAGS -D DEBUG_PRINT_ERROR_LEVEL=0x8040004F"
		AAVMF_FLAGS="$AAVMF_FLAGS -D SECURE_BOOT_ENABLE"
		AAVMF_FLAGS="$AAVMF_FLAGS -D TPM2_ENABLE"
		AAVMF_FLAGS="$AAVMF_FLAGS -D EXCLUDE_SHELL_FROM_FD"
		;;
	esac

	build $AAVMF_FLAGS -a AARCH64 -p ArmVirtPkg/ArmVirtQemu.dsc
	mkdir -p "AAVMF"
	cp Build/ArmVirtQemu-AARCH64/DEBUG_*/FV/QEMU_EFI.fd AAVMF
	cp Build/ArmVirtQemu-AARCH64/DEBUG_*/FV/QEMU_VARS.fd AAVMF
	# Pad the binaries and name them similar to the standard AAVMF package
	cat AAVMF/QEMU_EFI.fd /dev/zero | head -c 64m > AAVMF/AAVMF_CODE.${cfg}.fd
	cat AAVMF/QEMU_VARS.fd /dev/zero | head -c 64m > AAVMF/AAVMF_VARS.${cfg}.fd
	rm AAVMF/QEMU_EFI.fd
	rm AAVMF/QEMU_VARS.fd
	if [ "$cfg" = secboot ] || [ "$cfg" = secboot-debug ] ; then
		# Enroll the Secureboot vars into the variable store template
		Oracle/OvmfVarsMgr/aavmf-vars-mgr --var PK --write --vars-file AAVMF/AAVMF_VARS.${cfg}.fd < Oracle/SB/aarch64/PK.bin
		Oracle/OvmfVarsMgr/aavmf-vars-mgr --var KEK --write --vars-file AAVMF/AAVMF_VARS.${cfg}.fd < Oracle/SB/aarch64/KEK.bin
		Oracle/OvmfVarsMgr/aavmf-vars-mgr --var db --write --vars-file AAVMF/AAVMF_VARS.${cfg}.fd < Oracle/SB/aarch64/db.bin
		Oracle/OvmfVarsMgr/aavmf-vars-mgr --var dbx --write --vars-file AAVMF/AAVMF_VARS.${cfg}.fd < Oracle/SB/aarch64/dbxupdate_arm64-07-2020.bin
	fi
	rm -rf Build/ArmVirtQemu-AARCH64

done
%endif

%if %{with parfait}

# URL to use for Parfait baseline
_parfait_server=%{?_parfait_server}%{!?_parfait_server:https://ca-qa-parfait.us.oracle.com:9991/parfait-server/projects/EDK2/tasks/v%{version}}

# number of jobs to run in parallel (default: value returned by nproc(1).)
_parfait_threads=%{?_parfait_threads}%{!?_parfait_threads:$(nproc)}

# Location to store graphical report (default: ./parfait_html in BUILD dir)
_parfait_output=%{?_parfait_output}%{!?_parfait_output:"./parfait_html"}

# Parfait defect options:
# The 'misaligned-access' check only affects performance for
# most processor architectures, and it is disabled by default
# (unless enabled by '-e all' like we do; so we reverse that).
# see http://parfait.us.oracle.com/latest/ParfaitMisalignedAccess.html
#
_parfait_defect_opts=" -e all -d misaligned-access"

# Select whether to compare against baseline (default) using '-b'
# or upload results (-s) if _parfait_upload is set to 1 on command-line
# (if _parfait_upload is set, the the source base dir is also set via -z)
_parfait_upload=%{?_parfait_upload:"-s"}%{!?_parfait_upload:"-b"}
_parfait_srcdir=%{?_parfait_upload:"-z %{_builddir}/%{name}-%{version}/"}

# By default the parfait tool only scans the linked *.bc files and ignore
# the obj bc files (e.g:  *.obj.bc). To have the parfait tool also cover
# the *.obj.bc files, store all *.bc to a text file and pass it to parfait
# using '-L'.
find . -name \*.bc > file_list
_parfait_file_list="-L file_list"

RC=0
parfait -j $_parfait_threads $_parfait_defect_opts -g $_parfait_output $_parfait_upload $_parfait_server $_parfait_srcdir $_parfait_file_list || RC=$?

# Remove temp directories
rm -rf file_list Build/OvmfX64-*

# Work is ongoing to triage all the issues reported by Parfait on the EDK2
# codebase but until they are all are either fixed or marked as a
# False Positive/Will-Not-Fix on the EDK2 Parfait server($_parfait_server),
# the parfait run will return 1 so we need to check the return value
# and ignore it if it's 1 or zero (success, in which case this check can be
# removed).
#
# For more details on exit codes, see the Parfait documentation:
# http://parfait.us.oracle.com/latest/ParfaitInfo.html#exit-codes
#
if [ ${RC} != 0 -a ${RC} != 1 ]; then
  exit ${RC}
fi

%endif # with parfait

%install

mkdir -p %{buildroot}%{_bindir}
install	--strip \
	BaseTools/Source/C/bin/EfiRom \
	BaseTools/Source/C/bin/VolInfo \
	%{buildroot}%{_bindir}

%ifarch x86_64
cp -a Oracle/OvmfVarsMgr/ovmf-vars-mgr %{buildroot}%{_bindir}
%endif
%ifarch aarch64
cp -a Oracle/OvmfVarsMgr/aavmf-vars-mgr %{buildroot}%{_bindir}
%endif
cp -a Oracle/OvmfVarsMgr/efi-siglist-gen %{buildroot}%{_bindir}

# Install License files
mkdir -p %{buildroot}/%{_docdir}/%{subpkgname}/Licenses
cp -a OvmfPkg/License.txt %{buildroot}/%{_docdir}/%{subpkgname}/Licenses/OvmfPkg-License.txt
%ifarch x86_64
cp -a License.txt %{buildroot}/%{_docdir}/%{subpkgname}/Licenses/edk2-License.txt
cp -a CryptoPkg/Library/OpensslLib/openssl/LICENSE %{buildroot}/%{_docdir}/%{subpkgname}/Licenses/OpensslLib-License.txt
%endif
%ifarch aarch64
cp -a License.txt %{buildroot}/%{_docdir}/%{subpkgname}/Licenses/FatPkg-License.txt
cp -a License.txt %{buildroot}/%{_docdir}/%{subpkgname}/Licenses/IntelFrameworkModulePkg-License.txt
cp -a License.txt %{buildroot}/%{_docdir}/%{subpkgname}/Licenses/MdeModulePkg-License.txt
cp -a License.txt %{buildroot}/%{_docdir}/%{subpkgname}/Licenses/MdePkg-License.txt
cp -a License.txt %{buildroot}/%{_docdir}/%{subpkgname}/Licenses/OptionRomPkg-License.txt
cp -a License.txt %{buildroot}/%{_docdir}/%{subpkgname}/Licenses/ShellPkg-License.txt
cp -a License.txt %{buildroot}/%{_docdir}/%{subpkgname}/Licenses/ArmPkg-License.txt
cp -a License.txt %{buildroot}/%{_docdir}/%{subpkgname}/Licenses/ArmPlatformPkg-License.txt
cp -a License.txt %{buildroot}/%{_docdir}/%{subpkgname}/Licenses/EmbeddedPkg-License.txt
%endif

%ifarch x86_64
mkdir -p %{buildroot}/usr/share/%{subpkgname}
cp -a OVMF/* %{buildroot}/usr/share/%{subpkgname}
cp -a OvmfPkg/README %{buildroot}/%{_docdir}/%{subpkgname}
cp -a OVMF-ol7-changelog.txt %{buildroot}/%{_docdir}/%{subpkgname}
# JSON files
mkdir -p %{buildroot}/usr/share/qemu/firmware
cp -a json_files/*ovmf* %{buildroot}/usr/share/qemu/firmware
# Include dup base files for compat with older libvirt
cp OVMF/OVMF_CODE.pure-efi.fd  %{buildroot}/usr/share/%{subpkgname}/OVMF_CODE.fd
cp OVMF/OVMF_VARS.pure-efi.fd  %{buildroot}/usr/share/%{subpkgname}/OVMF_VARS.fd
%endif
%ifarch aarch64
mkdir -p %{buildroot}/usr/share/%{subpkgname}
cp -a AAVMF/* %{buildroot}/usr/share/%{subpkgname}
cp -a AAVMF-ol7-changelog.txt %{buildroot}/%{_docdir}/%{subpkgname}
# JSON files
mkdir -p %{buildroot}/usr/share/qemu/firmware
cp -a json_files/*aarch64* %{buildroot}/usr/share/qemu/firmware
# Include dup base files for compat with older libvirt
cp AAVMF/AAVMF_CODE.pure-efi.fd  %{buildroot}/usr/share/%{subpkgname}/AAVMF_CODE.fd
cp AAVMF/AAVMF_VARS.pure-efi.fd  %{buildroot}/usr/share/%{subpkgname}/AAVMF_VARS.fd
%endif

%files tools
%doc BaseTools/UserManuals/EfiRom_Utility_Man_Page.rtf
%doc BaseTools/UserManuals/VolInfo_Utility_Man_Page.rtf
%ifarch x86_64
%doc Oracle/OvmfVarsMgr/ovmf-vars-mgr.md
%endif
%ifarch aarch64
%doc Oracle/OvmfVarsMgr/aavmf-vars-mgr.md
%endif
%doc Oracle/OvmfVarsMgr/efi-siglist-gen.md
%{_bindir}/*

%defattr(-,root,root,-)

%ifarch x86_64
%files -n OVMF 
%dir /usr/share/%{subpkgname}
/usr/share/%{subpkgname}
%endif

%ifarch aarch64
%files -n AAVMF
%dir /usr/share/%{subpkgname}
/usr/share/%{subpkgname}
%endif

%dir /usr/share/qemu/firmware
/usr/share/qemu/firmware

%dir %{_docdir}/%{subpkgname}/Licenses
%doc %{_docdir}/%{subpkgname}/Licenses/OvmfPkg-License.txt

%ifarch x86_64
%doc %{_docdir}/%{subpkgname}/Licenses/OpensslLib-License.txt
%doc %{_docdir}/%{subpkgname}/Licenses/edk2-License.txt
%doc %{_docdir}/%{subpkgname}/README
%doc %{_docdir}/%{subpkgname}/OVMF-ol7-changelog.txt
%endif

%ifarch aarch64
%doc %{_docdir}/%{subpkgname}/Licenses/FatPkg-License.txt
%doc %{_docdir}/%{subpkgname}/Licenses/IntelFrameworkModulePkg-License.txt
%doc %{_docdir}/%{subpkgname}/Licenses/MdeModulePkg-License.txt
%doc %{_docdir}/%{subpkgname}/Licenses/MdePkg-License.txt
%doc %{_docdir}/%{subpkgname}/Licenses/OptionRomPkg-License.txt
%doc %{_docdir}/%{subpkgname}/Licenses/ArmPkg-License.txt
%doc %{_docdir}/%{subpkgname}/Licenses/ArmPlatformPkg-License.txt
%doc %{_docdir}/%{subpkgname}/Licenses/EmbeddedPkg-License.txt
%doc %{_docdir}/%{subpkgname}/Licenses/ShellPkg-License.txt
%doc %{_docdir}/%{subpkgname}/AAVMF-ol7-changelog.txt
%endif


%changelog
* Fri Aug 20 2021 Aaron Young <Aaron.Young@oracle.com> - 1:1.5.0-2.el7
- Fix for Bug 33117114. (Aaron Young)

* Wed Jun 16 2021 Aaron Young <Aaron.Young@oracle.com> - 1:1.5.0-1.el7
- Move OvmfVarsMgr/ .md files to proper doc directory in the RPM

* Wed Jun 16 2021 Aaron Young <aaron.young@oracle.com>
- Create new 1.5.0 release for OL7 which includes the following fixed CVEs:
  {CVE-2021-23840} {CVE-2021-23841}

* Thu Feb 18 2021 Aaron Young <aaron.young@oracle.com>
- Create new 1.4.3 release for OL7

* Wed Jan 20 2021 Aaron Young <aaron.young@oracle.com>
- Create new 1.4.2 release for OL7

* Thu Dec 03 2020 Aaron Young <aaron.young@oracle.com>
- Create new 1.4.1 release for OL7

* Wed Nov 18 2020 Aaron Young <aaron.young@oracle.com>
- Create new 1.4.0 release for OL7 which includes the following fixed CVEs:
  {CVE-2019-14584} {CVE-2019-14562} {CVE-2019-11098} {CVE-2019-14559} {CVE-2019-14575} {CVE-2019-14559} {CVE-2019-14587} {CVE-2019-14558} {CVE-2019-14586} {CVE-2019-14563}

* Sat Oct 10 2020 Aaron Young <aaron.young@oracle.com>
- Create new 1.3.4 release for OL7

* Wed Oct 07 2020 Aaron Young <aaron.young@oracle.com>
- Create new 1.3.3 release for OL7

* Fri Jul 31 2020 Aaron Young <aaron.young@oracle.com>
- Create new 1.3.2 release for OL7

* Fri May 01 2020 Aaron Young <aaron.young@oracle.com>
- Create new 1.3.1 release for OL7

* Wed Feb 05 2020 Aaron Young <aaron.young@oracle.com>
- Create new 1.3 release for OL7 which includes the following fixed CVEs:
  {CVE-2018-12182} {CVE-2019-13224} {CVE-2019-13225} {CVE-2019-14553}

* Fri May 17 2019 Aaron Young <aaron.young@oracle.com>
- Create new 1.2 release for OL7 which includes the following fixed CVEs:
  {CVE-2017-5715} {CVE-2017-5731} {CVE-2017-5732} {CVE-2017-5733} {CVE-2017-5734} {CVE-2017-5735} {CVE-2017-5753} {CVE-2018-12178} {CVE-2018-12180} {CVE-2018-12181} {CVE-2018-3630}

